Java.com

ダウンロード ヘルプ

印刷可能バージョン

Mac OS XでのOracle Javaのインストールと使用に関する情報およびシステム要件


このトピックは、次に当てはまります。:
  • プラットフォーム: Macintosh OS X
  • Javaバージョン: 7.0

Oracle Javaバージョン7u25以下は、OS X上ではAppleによって無効にされています。最新リリースに更新すると、JavaをMac OS Xで実行できます。
» 最新Javaのダウンロード

» Oracle Javaのアンインストール後にApple Java 6を復元できますか。
» MacでのJavaのシステム要件はどうなっていますか。
» java.comでMac OS X用のJava 6が見つからないのはなぜですか。
» Mac上のOracle JavaでChromeを使用できますか。
» Mac用のJavaはどのようにして入手できますか。
» MacにJavaがインストールされているかどうかはどうすればわかりますか。
» MacにJavaをインストールするにはどうすればよいですか。
» MacにインストールされているJavaのバージョンを確認するにはどうすればよいですか。
» MacでJavaを有効化するにはどうすればよいですか。
» MacでJavaキャッシュをクリアするにはどうすればよいですか。
» MacのJavaを更新するにはどうすればよいですか。
» JavaをMacからアンインストールするにはどうすればよいですか。
» 使用しているMacにバージョン10.7.3 (Lion)以上はインストールされていません。他のMacバージョン用のJavaはどのようにして入手できますか。
» 以前のバージョンまたは旧バージョンのJavaをインストールしても安全ですか。
» Apple Software UpdateからJavaを入手するとアプレットが実行できないのはなぜですか。
» Oracle JavaがMac OS X 10.7.3以上でのみ使用可能なのはなぜですか。
» Mac 10.10 (Yosemite)にJavaをインストールできますか。
» Yosemiteに更新した後、最新のJavaがすでにインストールされているのに、Javaをインストールするよう表示されるのはなぜですか。
» 自動更新中にインストールがハングします。最新のJavaを入手するにはどうすればよいですか。
» コマンド行からJavaを使用しようとすると、機能しないのはなぜですか。
» Javaに関してサポートを受けたりフィードバックするにはどうすればよいですか。


Oracle Java 7のアンインストール後にApple Java 6を復元できますか。

はい、Apple社のWebサイト「Restore Apple Java 6」にある手順を参照してください。JDK 7以降のバージョンがインストールされているシステムでApple Java 6を復元する場合は、まずそのJDKのバージョンをアンインストールする必要があります。JDKのアンインストール手順を参照してください。

MacでのJavaのシステム要件はどうなっていますか。
オペレーティング・システム要件:   Java 7およびそれ以降のバージョンの場合、Mac OS Xバージョン10.7.3 (Lion)以上を実行しているIntelベースのMacが必要になります。MacへのJavaのインストールは、システム全体にわたり、すべてのユーザーに対して実行され、管理者権限を必要とします。ユーザー単位でJavaをインストールすることはできません。
ブラウザ要件:  
Mac OS XでOracle Javaを実行するには、64ビット・ブラウザ(Safari、Firefoxなど)が必要です。Chrome 64ビットはベータ版です。

java.comでMac OS X用のJava 6が見つからないのはなぜですか。

Javaバージョン6以前については、Apple社が独自のバージョンのJavaを提供しています。Mac OS X 10.6以前の場合、ご使用のMacに最新バージョンのJava 6がインストールされているかどうかを確認するには、Appleメニューのソフトウェア・アップデート機能を使用します。MacのApple Java 6に関連する問題については、Appleのサポートに問い合せてください。OracleおよびJava.comは、64ビット・システムでJava 7以降のみをサポートしています。

Mac上のOracle JavaでChromeを使用できますか。
Mac OS XでOracle Javaを実行するには、64ビット・ブラウザ(Safari、Firefoxなど)が必要です。Chrome 64ビットはベータ版です。

Mac用のJavaはどのようにして入手できますか。

Javaはjava.comからダウンロードできます。

MacにJavaがインストールされているかどうかはどうすればわかりますか。

Mac OS X 10.6以下: Mac OSには、AppleのJavaがプリインストールされています。
Mac OS X 10.7 (Lion)以上: Mac OS Xバージョン10.7以上には、Javaはプリインストールされていません。Oracleから最新のJavaを入手するには、Mac OS X 10.7.3以上が必要です。
Java 7以降のバージョンがインストールされている場合、「System Preferences」の下にJavaアイコンが表示されます。
Javaバージョン6以下は、お使いのMacの「Applications」>「Utilities」フォルダにあるJava Preferences.appにリストされます。

MacにJavaをインストールするにはどうすればよいですか。

「Mac Javaのインストール手順」を参照してください。

MacにインストールされているJavaのバージョンを確認するにはどうすればよいですか。

Mac OS X 10.7.3以上: 「System Preferences」でJavaアイコンをクリックして、Javaコントロール・パネルにアクセスすると、使用しているJavaのバージョンが表示されます。
「System Preferences」にJavaアイコンが見つからない場合、Java 7以降のバージョンはインストールされていません。

MacでJavaを有効化するにはどうすればよいですか。

Mac (Lion以上)にOracle Javaをインストールした場合、Javaはデフォルトで有効化されます。
ブラウザでJavaアプリケーションを実行する場合は、ブラウザでJavaが有効になっていることも確認する必要があります。
以前のバージョンのJavaについては、Appleサポート・サイトを確認してください。

MacのJavaキャッシュをクリアするにはどうすればよいですか。

MacでのJavaキャッシュのクリア方法を参照してください。

MacのJavaを更新するにはどうすればよいですか。

MacでのJavaの更新方法を参照してください。

JavaをMacからアンインストールするにはどうすればよいですか。

MacでのJavaのアンインストール手順を参照してください。

使用しているMacにバージョン10.7.3 (Lion)以上はインストールされていません。他のMacバージョン用のJavaはどのようにして入手できますか。

Javaバージョン6以下については、Apple社が独自のバージョンのJavaを提供しています。お使いのMacに最新バージョンのAppleのJavaがインストールされていることを確認するには、Appleメニューのソフトウェア・アップデート機能を使用します。
Lion Mac OS X 10.7.1および10.7.2のユーザーは、10.7.3以降のバージョンへのアップグレードが必要で、アップグレードするとOracleから最新のJavaのバージョンを入手できます。

以前のバージョンまたは旧バージョンのJavaをインストールしても安全ですか。

旧バージョンのJavaを使用しないことを強くお薦めします。サポートされている旧バージョンのJavaをシステムにインストールすると、重大なセキュリティ・リスクが生じます。最新バージョンのJavaにアップグレードすると、最新のセキュリティ対策とパフォーマンス向上を備えたJavaアプリケーションが確実に実行されます。確認ページで、最新バージョンがインストールされているかどうかを確認できます。どうしても旧バージョンのJavaをインストールする必要がある場合は、まず現在のバージョンをアンインストールする必要があります。「MacでのJavaのアンインストールに関するFAQ」にある手順を参照してください。

Apple Software UpdateからJavaを入手するとアプレットが実行できないのはなぜですか。

Appleでは、Software Updateを使用してJavaを更新した場合、Java Plug-inおよびJava Web Startアプリケーションが無効化されます。また、長期間アプレットが実行されていないことがJava Plug-inで検出されると、再度Java Plug-inが無効化されます。

Oracle JavaがMac OS X 10.7.3以上でのみ使用可能なのはなぜですか。

Java Runtimeは、Application Programming Interface (API)の可用性に依存しています。一部のAPIはMac OS X 10.7.3で追加されました。これらのAPIが旧バージョンのMac OSで使用可能になる予定はありません。

Mac OS X 10.10 (Yosemite)にJavaをインストールできますか。

はい。Mac OS X 10.10のFAQを参照してください。

Mac OS X 10.10 (Yosemite)に更新した後、最新のJavaがすでにインストールされているのに、Javaをインストールするよう表示されるのはなぜですか。

Mac 10.10に更新して最新のOracle Javaバージョンをインストールした後、Javaを再度インストールするよう求められることが一部のユーザーから報告されています。これは一般に、アプリケーションがAppleから提供されたJava 6を使用しており、これも更新しなければならないためです。詳細は、http://support.apple.com/kb/DL1572を参照してください。

自動更新中にインストールがハングします。最新のJavaを入手するにはどうすればよいですか。

自動更新中に、Mac OS X 10.9 (Mavericks)ユーザーはインストールが停止する可能性があります。java.com Webサイトから最新のJavaをダウンロードします。

コマンド行からjavaを使用しようとすると、機能しないのはなぜですか。OracleのバージョンのJREがインストールされています。

OracleからのJREのインストールによって、java -version symlinkが更新されていないか、javaがパスに追加されていません。この機能のためには、完全なJDKをインストールする必要があります。「Macコマンド行情報」を参照してください。

Javaに関してサポートを受けたりフィードバックするにはどうすればよいですか。

Javaに関する問題の報告またはフィードバックは、フィードバック・フォームで詳細をお知らせください。


次のものにも関心を持たれるかもしれません:



言語の選択 | Javaについて | サポート | 開発者
プライバシ | 使用条件 | 商標 | 免責条項

Oracle